var socketLink = null

fetch('/internal/socketlink', {
    method: "GET"
}).then(link => {socketLink = link})

const socket = io(socketLink);

socket.on("connect", () => {
    console.log("Connecté au serveur par le Socket avec l'ID : " + socket.id)
});

function get(request) {

    return new Promise((resolve, reject) => {

        socket.emit("GET/" + request)
        console.log("Envoi de la requête : " + request)
        
        socket.once("ANSWER/GET/" + request, (answer) => {
            
            console.log("Réponse pour la requête : " + request)
            
            resolve(answer)
                    
        })
        
    })
    
}
